Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IAudioStreamCodec

All Known Implementing Classes:
  AACAudio

    public interface IAudioStreamCodec

Represents an Audio codec and its associated decoder configuration.

Author:
  Paul Gregoire (mondain@gmail.com)

Method Summary
`boolean` | `addData(IoBuffer data)` Update the state of the codec with the passed data.
`boolean` | `canHandleData(IoBuffer data)` Returns true if the codec knows how to handle the passed stream data.
`IoBuffer` | `getDecoderConfiguration()` Returns information used to configure the decoder.
`String` | `getName()`
`void` | `reset()` Reset the codec to its initial state.

Method Detail

### getName

    String getName()

  Returns:
    the name of the audio codec.

### reset

    void reset()

  Reset the codec to its initial state.

### canHandleData

    boolean canHandleData(IoBuffer data)

  Returns true if the codec knows how to handle the passed stream data.

  Parameters:
    `data` - some sample data to see if this codec can handle it.
  Returns:
    can this code handle the data.

### addData

    boolean addData(IoBuffer data)

  Update the state of the codec with the passed data.

  Parameters:
    `data` - data to tell the codec we're adding
  Returns:
    true for success. false for error.

### getDecoderConfiguration

    IoBuffer getDecoderConfiguration()

  Returns information used to configure the decoder.

  Returns:
    the data for decoder setup.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project